Debian Bug report logs - #467788
libextutils-autoinstall-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libextutils-autoinstall-perl; Maintainer for libextutils-autoinstall-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libextutils-autoinstall-perl is src:libextutils-autoinstall-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:19:00 UTC

Severity: important

Tags: patch

Found in version libextutils-autoinstall-perl/0.61-1.1

Fixed in version libextutils-autoinstall-perl/0.61-1.2

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Bastian Blank <waldi@debian.org>:
Bug#467788; Package libextutils-autoinstall-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libextutils-autoinstall-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:16 +0200
Package: libextutils-autoinstall-perl
Version: 0.61-1.1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#467788; Package libextutils-autoinstall-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #10 received at 467788@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467788@bugs.debian.org
Subject: libextutils-autoinstall-perl: diff for NMU version 0.61-1.2
Date: Sat, 5 Apr 2008 23:02:10 +0100
[Message part 1 (text/plain, inline)]
tags 467788 + patch
thanks

Hi,

Attached is the diff for my libextutils-autoinstall-perl 0.61-1.2 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libextutils-autoinstall-perl-0.61-1.2-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 22:03:18 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467788-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467788-close@bugs.debian.org
Subject: Bug#467788: fixed in libextutils-autoinstall-perl 0.61-1.2
Date: Sat, 05 Apr 2008 22:17:10 +0000
Source: libextutils-autoinstall-perl
Source-Version: 0.61-1.2

We believe that the bug you reported is fixed in the latest version of
libextutils-autoinstall-perl, which is due to be installed in the Debian FTP archive:

libextutils-autoinstall-perl_0.61-1.2.diff.gz
  to pool/main/libe/libextutils-autoinstall-perl/libextutils-autoinstall-perl_0.61-1.2.diff.gz
libextutils-autoinstall-perl_0.61-1.2.dsc
  to pool/main/libe/libextutils-autoinstall-perl/libextutils-autoinstall-perl_0.61-1.2.dsc
libextutils-autoinstall-perl_0.61-1.2_all.deb
  to pool/main/libe/libextutils-autoinstall-perl/libextutils-autoinstall-perl_0.61-1.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467788@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libextutils-autoinstall-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:08:58 +0100
Source: libextutils-autoinstall-perl
Binary: libextutils-autoinstall-perl
Architecture: source all
Version: 0.61-1.2
Distribution: unstable
Urgency: low
Maintainer: Bastian Blank <waldi@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libextutils-autoinstall-perl - Automatic install of dependencies via CPAN
Closes: 467788
Changes: 
 libextutils-autoinstall-perl (0.61-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467788
Files: 
 ca4d00ee7fa08cb9d939de35098b3c37 683 perl optional libextutils-autoinstall-perl_0.61-1.2.dsc
 f9dba7e18be3698ee7871334f26a1320 2065 perl optional libextutils-autoinstall-perl_0.61-1.2.diff.gz
 2ee4d498325b8cbf34e6ad726aad8219 25394 perl optional libextutils-autoinstall-perl_0.61-1.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9/KnNIW6CNDsByMRAjSeAJ9BjoK1uBlE2Jqnf4FmR+JNK43ywwCghyNy
AzxhF+X5inoHoD5ePlmBnEg=
=fOfk
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:53:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:32:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.